Skip to content
Start here

Delete Many Routes

client.magicTransit.routes.empty(RouteEmptyParams { account_id } params, RequestOptionsoptions?): RouteEmptyResponse { deleted, deleted_routes }
DELETE/accounts/{account_id}/magic/routes

Delete multiple Magic static routes.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
params: RouteEmptyParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
RouteEmptyResponse { deleted, deleted_routes }
deleted?: boolean
deleted_routes?: Array<DeletedRoute>
id: string

Identifier

maxLength32
nexthop: string

The next-hop IP Address for the static route.

prefix: string

IP Prefix in Classless Inter-Domain Routing format.

priority: number

Priority of the static route.

created_on?: string

When the route was created.

formatdate-time
description?: string

An optional human provided description of the static route.

modified_on?: string

When the route was last modified.

formatdate-time
scope?: Scope { colo_names, colo_regions }

Used only for ECMP routes.

colo_names?: Array<string>

List of colo names for the ECMP scope.

colo_regions?: Array<string>

List of colo regions for the ECMP scope.

weight?: number

Optional weight of the ECMP scope - if provided.

Delete Many Routes

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.magicTransit.routes.empty({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.deleted);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "deleted": true,
    "deleted_routes": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "nexthop": "203.0.113.1",
        "prefix": "192.0.2.0/24",
        "priority": 0,
        "created_on": "2017-06-14T00:00:00Z",
        "description": "New route for new prefix 203.0.113.1",
        "modified_on": "2017-06-14T05:20:00Z",
        "scope": {
          "colo_names": [
            "den01"
          ],
          "colo_regions": [
            "APAC"
          ]
        },
        "weight": 0
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "deleted": true,
    "deleted_routes": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "nexthop": "203.0.113.1",
        "prefix": "192.0.2.0/24",
        "priority": 0,
        "created_on": "2017-06-14T00:00:00Z",
        "description": "New route for new prefix 203.0.113.1",
        "modified_on": "2017-06-14T05:20:00Z",
        "scope": {
          "colo_names": [
            "den01"
          ],
          "colo_regions": [
            "APAC"
          ]
        },
        "weight": 0
      }
    ]
  },
  "success": true
}